> For the complete documentation index, see [llms.txt](https://docs.nalpeiron.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nalpeiron.com/zentitle2-docs/ui-local-license-server/local-license-server-lls/lls-release-notes.md).

# LLS Release Notes

Track the version history and improvements for the Zentitle2 Local License Server (LLS), from bug fixes to new feature support.

## 2.3.4

October 19, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.3.4`

**Improvements:**

* Performance improvements

## 2.3.3

September 28, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.3.3`

**Bug fixes:**

* Fixed intermittent activation failures when concurrent requests initialized a nonce for the same activation. Both requests now receive the persisted nonce.

## 2.3.1

July 27, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.3.1`

Released a new LLS image built on .NET 10.0.10, resolving critical CVEs.

## 2.3.0

July 3, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.3.0`

**Improvements:**

* Added a feature-based activation filter to the UI.
* Added an option to disable activation logging (`LlsLogs__Enabled: false`).
* Added an option to configure the activation log retention period (`LlsLogs__RetentionDays: 14`).

## 2.2.3

June 25, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.2.3`

**Improvements:**

* Improved feature checkout performance for concurrent entitlements using element pool features
* Adjusted the nonce response header casing for compatibility with older C++ SDKs

## 2.2.2

June 9, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.2.2`

**Improvements:**

* Option to disable use of webhooks in the UI (set `Ui__UseLongPollingTransport: true`). This may be helpful in environments with strict firewall policies.
* Provide information on number of expired activations and Element Pool usage hold by expired activations
* Other bug fixes and improvements

## 2.2.1

May 27, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.2.1`

**Bug fixes:**

* Added missing user agent header in Blazor requests for UI
* Automatic activation recycling to satisfy feature checkout

## 2.2.0

May 11, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.2.0`

**Improvements**

* Added support for Lease Period override

## 2.1.1

April 27, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.1.1`

**Improvements**

* Added support for Rate Limiting
* Added support for High Availability configuration

## 2.0.0

March 13, 2026

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:2.0.0`

**Improvements**

* LLS 2.0.0 introduces a robust protection model to ensure data integrity and strengthens the LLS Docker image against unauthorized tampering.

**Version Compatibility**

* To maintain the full integrity of this security model and prevent potential attack vectors, **LLS 2.0.0 is not backward compatible with previous database schemas** and requires a new database initialization.

## 1.5.0

October 17, 2025

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.5.0`

**Improvements**

* Added support for the [Licensing API version 2025-10-10](https://license.nalpeiron.io/docs/2025-10-10.html)

## 1.4.1

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.4.1`

**Bug Fixes**

* Resolved the pagination issue for tables with large datasets

## 1.4.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.4.0`

**Improvements**

* Upgraded application framework from .NET 8 to .NET 9
* Added support for the [Licensing API version 2024-11-07](https://license.nalpeiron.io/docs/2024-11-07.html)

## 1.3.1

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.3.1`

**Bug Fixes**

* Resolved an issue where `activation denial` operations were not recorded in the activity logs

## 1.3.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.3.0`

**Improvements**

* \[Licensing API] Added the following fields to the response body of`[GET] api/v1/activation` API endpoint:
  * `entitlementConcurrencyMode`
  * `hasMaintenance` and `maintenanceExpiryDate`

## 1.2.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.2.0`

**Improvements**

* \[UI] Added an option to skip the activation request generation when the user has already received the activation response from Z2, but the activation page has been closed in the meantime.
* \[API] Extended LLS Licensing API with feature tracking endpoints

## 1.1.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.1.0`

**Improvements**

* Added user interface for entitlements management
* Added user interface for entitlement details, activations, and activity log
* All the imported entitlements are automatically deleted from the server's database when deactivating its license

## 1.0.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:1.0.0`

**Improvements**

* Added user interface for Local License Server's license management

## 0.9.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.9.0`

**Improvements**

* The following LLS environment variables have been deprecated: `ClientTenant__Id, ClientTenant__KeyModulus, ProductLicenseTenant__Id, ProductLicenseTenant__KeyModulus`

## 0.8.1

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.8.1`

**Bug Fixes**

* Fixed error response from the Licensing API endpoints when the N-TenantId HTTP header is missing
* The same offline activation token cannot be used multiple times to activate the LLS license

## 0.8.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.8.0`

**Improvements**

* Added support for updating an already imported entitlement

## 0.7.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.7.0`

**Improvements**

* Added Usage Count feature support
* Allowed importing an entitlement without the customer

## 0.6.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.6.0`

**Improvements**

* Upgraded the Licensing Client .NET SDK

## 0.5.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.5.0`

**Improvements**

* Added maintenance support

## 0.4.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.4.0`

**Improvements**

* Upgraded the Licensing Client .NET SDK to version 1.4.1

## 0.3.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.3.0`

**Bug Fixes**

* Fixed lease period calculation
* Allowed retrieving entitlement if entitlement expired/has been disabled

## 0.2.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.2.0`

**Improvements**

* Added API versioning support to the Licensing API routes

## 0.1.0

`docker pull registry.gitlab.com/nalpeiron/zentitle/local-license-server:0.1.0`

####


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nalpeiron.com/zentitle2-docs/ui-local-license-server/local-license-server-lls/lls-release-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
